XDR_COMMIT_ENCODE(9)

NAME
xdr_commit_encode - Ensure all data is written to buffer

SYNOPSIS

void xdr_commit_encode(struct xdr_stream * xdr);

ARGUMENTS

xdr
    pointer to xdr_stream

DESCRIPTION

We handle encoding across page boundaries by giving the caller a temporary location to write to, then later copying the data into place; xdr_commit_encode does that copying.

Normally the caller doesn't need to call this directly, as the following xdr_reserve_space will do it. But an explicit call may be required at the end of encoding, or any other time when the xdr_buf data might be read.

COPYRIGHT